//
//  ItemDetailViewController.h
//  ShopperChecker
//
//  Created by Felix Wang on 25/12/10.
//  Copyright 2010 Felix Wang. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ItemEditViewController.h"
#import "ShopperCheckerAppDelegate.h"


@interface ItemDetailViewController : UIViewController {
	//IBOutlets
	UITextField *itemName;
	UITextView *itemDesc;
	UIButton *leftButton;
	UIButton *rightButton;
	ItemEditViewController *itemEditViewController;
	
	//CoreData
	NSManagedObjectContext *appContext;

}
@property (nonatomic, retain) IBOutlet UITextField *itemName;
@property (nonatomic, retain) IBOutlet UITextView *itemDesc;
@property (nonatomic, retain) IBOutlet UIButton *leftButton;
@property (nonatomic, retain) IBOutlet UIButton *rightButton;
@property (nonatomic, retain) IBOutlet ItemEditViewController *itemEditViewController;

//CoreData
@property (nonatomic, retain) NSManagedObjectContext *appContext;

#pragma mark Custom methods

- (void)startEditing;
- (void)checkItemOff:(id)sender;
- (void)deleteItem:(id)sender;

@end
