//
//  CheckerViewController.h
//  ShopperChecker
//
//  Created by Felix Wang on 13/12/10.
//  Copyright 2010 Felix Wang. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ShopperCheckerAppDelegate.h"
#import "ItemDetailViewController.h"


@interface CheckerViewController : UIViewController <UITableViewDelegate, UITableViewDataSource>{
	//IBOutlets
	UITableView *tblView;
	UIBarButtonItem *clearButton;
	ItemDetailViewController *itemDetailViewController;
	
	//CoreData
	NSManagedObjectContext *appContext;
	
	NSMutableArray *checkerList;
}
@property (nonatomic, retain) IBOutlet UITableView *tblView;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *clearButton;
@property (nonatomic, retain) IBOutlet ItemDetailViewController *itemDetailViewController;

@property (nonatomic, retain) NSManagedObjectContext *appContext;

@property (nonatomic, retain) NSMutableArray *checkerList;

- (void)clearTheCheckerList:(id)sender;

@end
